PokeGen + DeSmuMe issues?

Discussion in 'NDS - Emulation and Homebrew' started by Laiyrai, Dec 1, 2012.

  1. Laiyrai
    OP

    Laiyrai Newbie

    Newcomer
    2
    0
    Dec 1, 2012
    United States
    Wickliffe, Ohio
    Hi guys! So I'm running Windows 7 and DeSmuMe 0.9.6 (I also have 9.8 but a lot of people say it's glitched, so I tried 9.6 too) and the latest PokeGen. I'm using a Pokemon White 2 fully english ROM. I do the following:

    1. Save ingame.
    2. Export back up memory.
    3. Load .sav in PokeGen
    4. I go to edit a Pokemon in my boxes; let's say an Umbreon. I want to change it from level 35 --> level 45.
    5. I do so, and save the .sav file after setting the Pokemon with changes.
    6. I import backup memory to DeSmuMe, and when I reset the ROM to get to the title screen,
    after I click continue, I get something along the lines of this: Save file will be deleted due to corruption or damage.


    I have also posted this on PokeGen, to see if they can help. Is this something with PokeGen? Am I doing something wrong? (Same thing happened in both DeS version.) Help would be appreciated.
     
  2. Codr

    Codr Member

    Newcomer
    19
    19
    Sep 19, 2010
    United States
    There's no reason whatsoever to "Export backup memory"... just load (in PokeGen) the .dsv file that Desmume uses for your save file.
     
  3. Laiyrai
    OP

    Laiyrai Newbie

    Newcomer
    2
    0
    Dec 1, 2012
    United States
    Wickliffe, Ohio
    Okay, so I saved / opened it in .dsv file and for some reason, it still comes up as 'save file corrupt' yadda yadda when I load it. yes I saved it directly ad overwrote the original, yes it's in the right place. (or it's where the original was.) What's going on?
     
  4. Rydian

    Rydian Resident Furvertâ„¢

    Member
    27,883
    8,113
    Feb 4, 2010
    United States
    Cave Entrance, Watching Cyan Write Letters
  5. porkiewpyne

    porkiewpyne Report-er

    Global Moderator
    2,076
    1,241
    Jun 8, 2008
    Australia
    I guess you may have to use 0.9.8 then. I have tried and tested it and it works fine. It's odd that 0.9.6 messes up like that :(

    EDIT: Been using 0.9.8 for a while now. Didn't notice any glitch.